#include <iostream>
#include <algorithm>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    
    int n, k, x;
    cin >> n >> k >> x;
    
    int p[n];
    for(int i = 0; i < n; i++)
        cin >> p[i];
    
    __int128_t prefiksneSume[k+1];
    for(int i = k - 1; i < n; i++) {
        prefiksneSume[0] = 0;
        for(int j = 0; j < k; j++)
            prefiksneSume[j+1] = prefiksneSume[j] + p[i-j];
        
        //long long zadnji = prefiksneSume[k];
        //for(int i = 0; i <= k; i++)
        //    cout << prefiksneSume[i] << ' ';cout << '\n';
        
        sort(prefiksneSume + 1, prefiksneSume + k, greater<int>());
        //for(int i = 0; i <= k; i++)
        //    cout << prefiksneSume[i] << ' ';cout << '\n';
        __int128_t zbir = prefiksneSume[k];
        for(int i = 1; i < x - 1; i++)
            zbir += prefiksneSume[i];
        if(prefiksneSume[x-1] > 0)
            zbir += prefiksneSume[x-1];
        
        cout << (long long)(zbir) << '\n';
    }
    
    return 0;
}